| Home | Libraries | People | FAQ | More

##### basic_static_string::starts_with (3 of 3 overloads)

Return whether the string begins with a string.

###### Synopsis

    constexpr bool
    starts_with(
        const_pointer s) const;

###### Description

Returns `true` if the string begins with the string pointed to be `s` of length `traits_type::length(s)`, and `false` otherwise.

###### Complexity

Linear.

###### Parameters

Name | Description
--- | ---
`s` | The string to check for.